module.exports = {
   'env': {
      'browser': true,
      'es2021': true,
      'node': true,
   },
   'extends': [
      'eslint:recommended',
      'plugin:react/recommended',
      'plugin:@typescript-eslint/recommended'
   ],
   'parser': '@typescript-eslint/parser',
   'parserOptions': {
      'ecmaFeatures': {
         'jsx': true
      },
      'ecmaVersion': 'latest',
      'sourceType': 'module'
   },
   'plugins': [
      'react',
      '@typescript-eslint'
   ],
   'ignorePatterns': ['dist/', '*.d.ts'],
   'rules': {
      'indent': [
         'error',
         3,
         {
            'SwitchCase': 1
         }
      ],
      'linebreak-style': [
         'error',
         'unix'
      ],
      'quotes': [
         'error',
         'single'
      ],
      'semi': [
         'error',
         'always'
      ],
      'no-trailing-spaces': [
         'warn',
         {
            'ignoreComments': true
         }
      ],
      '@typescript-eslint/no-unused-vars': [
         'warn',
         {
            'argsIgnorePattern': '^_'
         }
      ],
   }
};
